跳到主要内容

Get Operation Logs for a Specific Pull Request

GET 

/api/v5/repos/:owner/:repo/pulls/:number/operate_logs

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

    repo stringrequired

    Repository path (path)

    number stringrequired

Query Parameters

    access_token string

    User authorization code

    sort string

    Sorted in descending order by default.

    page integer

    Current page number: defaults to 1

    per_page integer

    The number of items per page, with a maximum of 100. The default is 20.

Responses​

Successful Response

Response Headers
    Schema
    • Array [
    • contentstring
      idinteger
      actionstring
      merge_request_idinteger
      created_atstring
      updated_atstring
      discussion_idstring
      projectstring
      assigneenull
      proposernull
      user object
      idstring
      namestring
      loginstring
      iam_idstring
      nick_namestring
      statestring
      avatar_urlstring
      avatar_pathnull
      emailstring
      name_cnstring
      web_urlstring
      tenant_namenull
      is_membernull
      action_typestring
    • ]